Bug 110875 - RFE: Multi-host functionality for RPM
RFE: Multi-host functionality for RPM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 18:48 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 05:18:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-11-24 18:48:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2)
Gecko/20030708

Description of problem:
I'd like RPM to be able to support multiple hosts.  I would suggest as
an initial step that RPM be set to use a central database.  Naturally
I would suggest PostgreSQL, but I don't particularly mind which FOSS
database is chosen.  Long-term, I personally would like to be able to
have something like yum or apt-rpm update multiple hosts based on
cfengine configuration (and downloading from a central repository in
my network to save bandwidth), but obviously none of that can happen
without a centralised database of RPMs.  If RPM itself were to do
this, that would be the optimal solution.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Google "rpm database backend"
2.  Google "rpm multi-host package manager"
3.  Observe that neither of these produce any hits which appear to
supply the requested functionality
4.  Sorry about this, the form won't let me submit without it
5.  ???
6.  Profit!!!
    

Additional info:
Comment 1 Jeff Johnson 2004-01-26 05:18:24 EST
Up2date has much of this functionality already.

Otherwise, this is more of a dependency solver than rpm
issue. FOr example, there is no reason why yum could not
be taught to access databases on multiple hosts.

Note You need to log in before you can comment on or make changes to this bug.